Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Cuireadh an snáithe seo sa chartlann. Cuir ceist nua má tá cabhair uait.

why html pages are not comaptible when tls.min.version=3 in mozilla?

  • 4 fhreagra
  • 1 leis an bhfadhb seo
  • 6 views
  • Freagra is déanaí ó cor-el

more options

All my TLS 1.2 enabled webpages are looking good when security.tls.min.version=0.

If I restrict the settings to security.tls.min.version=3, web page contents are not in order , text and images are misplaced.

Firefox version - 38.5.2

Apache Web server - 2.2.8

Réiteach roghnaithe

All Replies (4)

more options

Do you have security software that sends it own certificate or are you using a proxy to connect to internet?

There is security software like Avast and Kaspersky and BitDefender and ESET that intercepts secure connections and sends their own certificate or that incorporates special web shielding features that can block content.


You can check for problems with preferences.

Delete possible user.js and numbered prefs-##.js files and rename (or delete) the prefs.js file to reset all prefs to the default value including prefs set via user.js and prefs that are no longer supported in current Firefox releases.

more options

Thanks for your reply cor-rel: I dont have any security software installed and dont use proxy to connect to Internet.

  • only one prefs.js file is found in %APPDATA% and it it has all permissions to read , write.


1. if Firefox is restricted to use strict TLS 1.2 only, will it impose any HTML or JS version restriction from Java application side?

more options

Hi cor-rel,

Using Web Console option in firefox, i have seen some of the contents of the web page uses external HTTP server which uses TLS 1.1 to connect...so Firefox skipped those mixed contents when restricted to TLS 1.2. Now i got the solution.

more options

Réiteach Roghnaithe